#!/bin/sh
XTPATH=/xterminals/root
if [ ! -d $XTPATH  ] ; then
	echo X terminals runtime environment not installed yet: $XTPATH
	echo aborting
	exit 1
fi
mkdir -p /var/xterminals
echo /usr/X11R6/lib >$XTPATH/etc/ld.so.conf
export PATH=/sbin:/bin:/usr/sbin:/usr/bin
chroot $XTPATH /sbin/ldconfig
cp /etc/resolv.conf $XTPATH/etc

install -o root -g root -m 644 fstab.xterm $XTPATH/etc/fstab
rm -fr $XTPATH/etc/sysconfig
ln -sf X11/sysconfig $XTPATH/etc/sysconfig
ln -sf /etc/X11/conf.modules $XTPATH/etc/conf.modules
rm -fr $XTPATH/tmp
ln -sf /etc/X11/tmp $XTPATH/tmp
mkdir -p $XTPATH/lib/modules
cp -a kernels/modules/* $XTPATH/lib/modules/.
install commands/xgo -o root -g root -m 755 $XTPATH/bin/xgo
install commands/rc  -o root -g root -m 755 $XTPATH/etc/rc
install commands/rc.sh  -o root -g root -m 755 $XTPATH/etc/rc.sh
install commands/getmac  -o root -g root -m 755 $XTPATH/bin/
install commands/initdev  -o root -g root -m 755 $XTPATH/etc/initdev
install commands/xconf -o root -g root -m 755 $XTPATH/bin/xconf
install commands/swapconf -o root -g root -m 755 $XTPATH/bin/
install commands/cdromconf -o root -g root -m 755 $XTPATH/bin/
install commands/soundconf -o root -g root -m 755 $XTPATH/bin/
install commands/setname  -o root -g root -m 755 $XTPATH/bin/
install commands/enable-swap -o root -g root -m 755 $XTPATH/sbin/enable-swap
install commands/getdefserver -o root -g root -m 755 $XTPATH/sbin/getdefserver
install commands/printserv -o root -g root -m 755 $XTPATH/sbin/printserv
install commands/printconf -o root -g root -m 755 $XTPATH/bin/printconf
install commands/copysetup -o root -g root -m 755 $XTPATH/bin/copysetup
install commands/getrefdir -o root -g root -m 755 $XTPATH/bin/getrefdir
install commands/xtermconfig -o root -g root -m 755 $XTPATH/bin
install commands/xtermmenu -o root -g root -m 755 $XTPATH/bin
install commands/Xautoconfig -o root -g root -m 755 $XTPATH/bin
install commands/enable-swap -o root -g root -m 755 $XTPATH/bin
install commands/enable-boot -o root -g root -m 755 $XTPATH/bin
mkdir -p $XTPATH/usr/lib/xtermkit/kernels
install commands/ProbeNames $XTPATH/usr/lib/xtermkit
install linux.bat $XTPATH/usr/lib/xtermkit
install loadlin.exe $XTPATH/usr/lib/xtermkit
rm -f $XTPATH/usr/lib/xtermkit/kernels/kernel-2.2
cp -a kernels/. $XTPATH/usr/lib/xtermkit/kernels/.

NBTERM=`ls /var/xterminals | wc -l`
NBTERM=`expr $NBTERM`
if [ "$NBTERM" = 0 ] ; then
	touch $XTPATH/etc/USE_MAC_ADDRESS
fi
mkdir -p $XTPATH/mnt/xterminals
echo
echo X terminals runtime environment /xterminals/root updated

